AreaEventProducer (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.area

## Interface AreaEventProducer

-     public interface AreaEventProducer

  Event producer interface for events related to the area tree.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `AreaEventProducer.Provider` Provider class for the event producer.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `pageLoadError(java.lang.Object source, java.lang.String page, java.lang.Exception e)` A page could not be loaded/deserialized from a file.
    `void` | `pageRenderingError(java.lang.Object source, java.lang.String page, java.lang.Exception e)` A page could not be rendered.
    `void` | `pageSaveError(java.lang.Object source, java.lang.String page, java.lang.Exception e)` A page could not be saved/serialized to a file.
    `void` | `unresolvedIDReference(java.lang.Object source, java.lang.String type, java.lang.String id)` An unresolved ID reference was encountered.
    `void` | `unresolvedIDReferenceOnPage(java.lang.Object source, java.lang.String page, java.lang.String id)` An unresolved ID reference was encountered on a page.

- - ### Method Detail

    - #### unresolvedIDReference

          void unresolvedIDReference(java.lang.Object source,
                                     java.lang.String type,
                                     java.lang.String id)

      An unresolved ID reference was encountered.
      Parameters:
        `source` - the event source
        `type` - the type of reference
        `id` - the unresolved ID
      Event severity level:
        WARN

    - #### unresolvedIDReferenceOnPage

          void unresolvedIDReferenceOnPage(java.lang.Object source,
                                           java.lang.String page,
                                           java.lang.String id)

      An unresolved ID reference was encountered on a page.
      Parameters:
        `source` - the event source
        `page` - the page the ID reference was found on
        `id` - the unresolved ID
      Event severity level:
        WARN

    - #### pageLoadError

          void pageLoadError(java.lang.Object source,
                             java.lang.String page,
                             java.lang.Exception e)

      A page could not be loaded/deserialized from a file.
      Parameters:
        `source` - the event source
        `page` - the page to be loaded
        `e` - the original exception
      Event severity level:
        ERROR

    - #### pageSaveError

          void pageSaveError(java.lang.Object source,
                             java.lang.String page,
                             java.lang.Exception e)

      A page could not be saved/serialized to a file.
      Parameters:
        `source` - the event source
        `page` - the page to be serialized
        `e` - the original exception
      Event severity level:
        ERROR

    - #### pageRenderingError

          void pageRenderingError(java.lang.Object source,
                                  java.lang.String page,
                                  java.lang.Exception e)

      A page could not be rendered.
      Parameters:
        `source` - the event source
        `page` - the page to be serialized
        `e` - the original exception
      Event severity level:
        ERROR

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.